Bug 392181 - vsftpd file listing issue with wildcard
Summary: vsftpd file listing issue with wildcard
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: vsftpd (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: All Linux
high
high
Target Milestone: ---
: ---
Assignee: Martin Nagy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 391821
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-20 13:11 UTC by Michal Nowak
Modified: 2018-10-19 22:30 UTC (History)
3 users (show)

Fixed In Version: RHSA-2008-0295
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:16:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make more vsftpd wildcard matching more greedy (1.19 KB, patch)
2007-12-12 09:38 UTC, Martin Nagy
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0295 normal SHIPPED_LIVE Low: vsftpd security and bug fix update 2008-05-21 14:16:37 UTC

Description Michal Nowak 2007-11-20 13:11:20 UTC
+++ This bug was initially created as a clone of Bug #391821 +++

+++ This bug was initially created as a clone of Bug #244864 +++

Description of problem:

The wildcarding code misses trivially valid cases

  ls *1

will match

  A1
  b9087654321

but will fail against

  a11

Version-Release number of selected component (if applicable):

vsftpd-2.0.1-5.EL4.5

How reproducible:

always

Steps to Reproduce:
1. create files on server  A1 A21 A11
2. ftp in and ls *1
3.
  
Actual results:

ftp> ls *1
 227 Entering Passive Mode (10,1,2,3,61,93)
 150 Here comes the directory listing.
 -rw-rw-r-- 1 500   500   0 Jun 11 00:30 A1
 -rw-r--r-- 1 0   0   0 Jun 12 01:55 A21

Expected results:

ftp> ls
 227 Entering Passive Mode (10,1,2,3,227,184)
 150 Here comes the directory listing.
 -rw-rw-r-- 1 500   500   0 Jun 11 00:30 A1
 -rw-rw-r-- 1 500   500   0 Jun 11 00:35 A11
 -rw-r--r-- 1 0   0   0 Jun 12 01:55 A21


Additional info:

The problem is due to the fact the match code is not greedy enough. Having found
a match it needs to speculatively scan for further matches without a permanent
failure.

Comment 1 Michal Nowak 2007-11-20 13:12:08 UTC
[root@ibm-x3200m2-01 regressions]# rpmquery vsftpd
vsftpd-2.0.5-10.el5


Comment 2 RHEL Product and Program Management 2007-12-03 20:47:53 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.

Comment 3 Martin Nagy 2007-12-04 12:32:03 UTC
Fixed in fedora/rawhide (vsftpd-2.0.5-21.fc9).

Comment 4 Martin Nagy 2007-12-06 20:40:19 UTC
Re-proposing for 5.2 since vsftpd was approved for 5.2.

Comment 5 RHEL Product and Program Management 2007-12-06 20:45:45 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.

Comment 6 RHEL Product and Program Management 2007-12-07 15:34:27 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 Martin Nagy 2007-12-12 09:38:34 UTC
Created attachment 285581 [details]
Patch to make more vsftpd wildcard matching more greedy

This patch was originally written by Martin Poole.

Comment 9 Martin Nagy 2007-12-12 09:45:31 UTC
This issue will be fixed in vsftpd-2.0.5-10.el5

Comment 10 Martin Nagy 2007-12-12 10:09:00 UTC
Correction:
This will be fixed in vsftpd-2.0.5-11.el5

Comment 14 errata-xmlrpc 2008-05-21 14:16:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0295.html



Note You need to log in before you can comment on or make changes to this bug.